# GstValidateReport

## GstValidateIssue

### Members

`issue_id` (GstValidateIssueId) –
No description available
`summary` (gchar*) –
No description available
`description` (gchar*) –
No description available
`area` (gchar*) –
No description available
`name` (gchar*) –
No description available
`default_level` (GstValidateReportLevel) –
No description available
`refcount` (gint) –
No description available
`flags` (GstValidateIssueFlags) –
No description available
`_gst_reserved` (gpointer*) –
No description available

## GstValidate.Issue

### Members

`issue_id` (GLib.Quark) –
No description available
`summary` (String) –
No description available
`description` (String) –
No description available
`area` (String) –
No description available
`name` (String) –
No description available
`default_level` (GstValidate.ReportLevel) –
No description available
`refcount` (Number) –
No description available
`flags` (GstValidate.IssueFlags) –
No description available
`_gst_reserved` ([ Object ]) –
No description available

## GstValidate.Issue

### Members

`issue_id` (GLib.Quark) –
No description available
`summary` (str) –
No description available
`description` (str) –
No description available
`area` (str) –
No description available
`name` (str) –
No description available
`default_level` (GstValidate.ReportLevel) –
No description available
`refcount` (int) –
No description available
`flags` (GstValidate.IssueFlags) –
No description available
`_gst_reserved` ([ object ]) –
No description available

### Constructors

#### gst_validate_issue_new

    GstValidateIssue *
    gst_validate_issue_new (GstValidateIssueId issue_id,
                            const gchar* summary,
                            const gchar* description,
                            GstValidateReportLevel default_level)

Parameters:

`issue_id` –

The ID of the issue, should be a GQuark

`summary` –

A summary of the issue

`description` –

A more complete description of the issue

`default_level` –

The level at which the issue will be reported by default

Returns ( [transfer: full]) –

The newly created GstValidateIssue

#### GstValidate.Issue.prototype.new

    function GstValidate.Issue.prototype.new(issue_id: GLib.Quark, summary: String, description: String, default_level: GstValidate.ReportLevel): {
        // javascript wrapper for 'gst_validate_issue_new'
    }

Parameters:

`issue_id` (GLib.Quark) –

The ID of the issue, should be a GQuark

`summary` (String) –

A summary of the issue

`description` (String) –

A more complete description of the issue

`default_level` (GstValidate.ReportLevel) –

The level at which the issue will be reported by default

Returns (GstValidate.Issue) –

The newly created GstValidate.Issue

#### GstValidate.Issue.new

    def GstValidate.Issue.new (issue_id, summary, description, default_level):
        #python wrapper for 'gst_validate_issue_new'

Parameters:

`issue_id` (GLib.Quark) –

The ID of the issue, should be a GQuark

`summary` (str) –

A summary of the issue

`description` (str) –

A more complete description of the issue

`default_level` (GstValidate.ReportLevel) –

The level at which the issue will be reported by default

Returns (GstValidate.Issue) –

The newly created GstValidate.Issue

#### gst_validate_issue_new_full

    GstValidateIssue *
    gst_validate_issue_new_full (GstValidateIssueId issue_id,
                                 const gchar* summary,
                                 const gchar* description,
                                 GstValidateReportLevel default_level,
                                 GstValidateIssueFlags flags)

Parameters:

`issue_id` –

The ID of the issue, should be a GQuark

`summary` –

A summary of the issue

`description` –

A more complete description of the issue

`default_level` –

The level at which the issue will be reported by default

`flags` –

The flags to determine behaviour of the issue

Returns ( [transfer: full]) –

The newly created GstValidateIssue

#### GstValidate.Issue.prototype.new_full

    function GstValidate.Issue.prototype.new_full(issue_id: GLib.Quark, summary: String, description: String, default_level: GstValidate.ReportLevel, flags: GstValidate.IssueFlags): {
        // javascript wrapper for 'gst_validate_issue_new_full'
    }

Parameters:

`issue_id` (GLib.Quark) –

The ID of the issue, should be a GQuark

`summary` (String) –

A summary of the issue

`description` (String) –

A more complete description of the issue

`default_level` (GstValidate.ReportLevel) –

The level at which the issue will be reported by default

`flags` (GstValidate.IssueFlags) –

The flags to determine behaviour of the issue

Returns (GstValidate.Issue) –

The newly created GstValidate.Issue

#### GstValidate.Issue.new_full

    def GstValidate.Issue.new_full (issue_id, summary, description, default_level, flags):
        #python wrapper for 'gst_validate_issue_new_full'

Parameters:

`issue_id` (GLib.Quark) –

The ID of the issue, should be a GQuark

`summary` (str) –

A summary of the issue

`description` (str) –

A more complete description of the issue

`default_level` (GstValidate.ReportLevel) –

The level at which the issue will be reported by default

`flags` (GstValidate.IssueFlags) –

The flags to determine behaviour of the issue

Returns (GstValidate.Issue) –

The newly created GstValidate.Issue

### Methods

#### gst_validate_issue_get_id

    guint32
    gst_validate_issue_get_id (GstValidateIssue * issue)

Parameters:

`issue` –
No description available
Returns –
No description available

#### GstValidate.Issue.prototype.get_id

    function GstValidate.Issue.prototype.get_id(): {
        // javascript wrapper for 'gst_validate_issue_get_id'
    }

Parameters:

`issue` (GstValidate.Issue) –
No description available
Returns (Number) –
No description available

#### GstValidate.Issue.get_id

    def GstValidate.Issue.get_id (self):
        #python wrapper for 'gst_validate_issue_get_id'

Parameters:

`issue` (GstValidate.Issue) –
No description available
Returns (int) –
No description available

#### gst_validate_issue_register

    gst_validate_issue_register (GstValidateIssue * issue)

Registers issue in the issue type system

Parameters:

`issue` ( [transfer: none]) –

The GstValidateIssue to register

#### GstValidate.Issue.prototype.register

    function GstValidate.Issue.prototype.register(): {
        // javascript wrapper for 'gst_validate_issue_register'
    }

Registers issue in the issue type system

Parameters:

`issue` (GstValidate.Issue) –

The GstValidate.Issue to register

#### GstValidate.Issue.register

    def GstValidate.Issue.register (self):
        #python wrapper for 'gst_validate_issue_register'

Registers issue in the issue type system

Parameters:

`issue` (GstValidate.Issue) –

The GstValidate.Issue to register

#### gst_validate_issue_set_default_level

    gst_validate_issue_set_default_level (GstValidateIssue * issue,
                                          GstValidateReportLevel default_level)

Parameters:

`issue` –
No description available
`default_level` –
No description available

#### GstValidate.Issue.prototype.set_default_level

    function GstValidate.Issue.prototype.set_default_level(default_level: GstValidate.ReportLevel): {
        // javascript wrapper for 'gst_validate_issue_set_default_level'
    }

Parameters:

`issue` (GstValidate.Issue) –
No description available
`default_level` (GstValidate.ReportLevel) –
No description available

#### GstValidate.Issue.set_default_level

    def GstValidate.Issue.set_default_level (self, default_level):
        #python wrapper for 'gst_validate_issue_set_default_level'

Parameters:

`issue` (GstValidate.Issue) –
No description available
`default_level` (GstValidate.ReportLevel) –
No description available

### Functions

#### gst_validate_issue_from_id

    GstValidateIssue *
    gst_validate_issue_from_id (GstValidateIssueId issue_id)

Parameters:

`issue_id` –

The issue id

Returns ( [nullable]) –

The issue if found or NULL otherwise

#### GstValidate.Issue.prototype.from_id

    function GstValidate.Issue.prototype.from_id(issue_id: GLib.Quark): {
        // javascript wrapper for 'gst_validate_issue_from_id'
    }

Parameters:

`issue_id` (GLib.Quark) –

The issue id

Returns (GstValidate.Issue) –

The issue if found or NULL otherwise

#### GstValidate.Issue.from_id

    def GstValidate.Issue.from_id (issue_id):
        #python wrapper for 'gst_validate_issue_from_id'

Parameters:

`issue_id` (GLib.Quark) –

The issue id

Returns (GstValidate.Issue) –

The issue if found or NULL otherwise

## GstValidateReport

### Members

`mini_object` (GstMiniObject) –
No description available
`issue` (GstValidateIssue *) –
No description available
`level` (GstValidateReportLevel) –
No description available
`reporter` (GstValidateReporter *) –
No description available
`timestamp` (GstClockTime) –
No description available
`message` (gchar*) –
No description available
`shadow_reports_lock` (GMutex) –
No description available
`master_report` (GstValidateReport *) –
No description available
`shadow_reports` (GList *) –
No description available
`repeated_reports` (GList *) –
No description available
`reporting_level` (GstValidateReportingDetails) –
No description available
`reporter_name` (gchar*) –
No description available
`trace` (gchar*) –
No description available
`dotfile_name` (gchar*) –
No description available
`_gst_reserved` (gpointer*) –
No description available

## GstValidate.Report

### Members

`mini_object` (Gst.MiniObject) –
No description available
`issue` (GstValidate.Issue) –
No description available
`level` (GstValidate.ReportLevel) –
No description available
`reporter` (GstValidate.Reporter) –
No description available
`timestamp` (Number) –
No description available
`message` (String) –
No description available
`shadow_reports_lock` (GLib.Mutex) –
No description available
`master_report` (GstValidate.Report) –
No description available
`shadow_reports` ([ Object ]) –
No description available
`repeated_reports` ([ Object ]) –
No description available
`reporting_level` (GstValidate.ReportingDetails) –
No description available
`reporter_name` (String) –
No description available
`trace` (String) –
No description available
`dotfile_name` (String) –
No description available
`_gst_reserved` ([ Object ]) –
No description available

## GstValidate.Report

### Members

`mini_object` (Gst.MiniObject) –
No description available
`issue` (GstValidate.Issue) –
No description available
`level` (GstValidate.ReportLevel) –
No description available
`reporter` (GstValidate.Reporter) –
No description available
`timestamp` (int) –
No description available
`message` (str) –
No description available
`shadow_reports_lock` (GLib.Mutex) –
No description available
`master_report` (GstValidate.Report) –
No description available
`shadow_reports` ([ object ]) –
No description available
`repeated_reports` ([ object ]) –
No description available
`reporting_level` (GstValidate.ReportingDetails) –
No description available
`reporter_name` (str) –
No description available
`trace` (str) –
No description available
`dotfile_name` (str) –
No description available
`_gst_reserved` ([ object ]) –
No description available

### Constructors

#### gst_validate_report_new

    GstValidateReport *
    gst_validate_report_new (GstValidateIssue * issue,
                             GstValidateReporter * reporter,
                             const gchar* message)

Parameters:

`issue` –
No description available
`reporter` –
No description available
`message` –
No description available
Returns –
No description available

#### GstValidate.Report.prototype.new

    function GstValidate.Report.prototype.new(issue: GstValidate.Issue, reporter: GstValidate.Reporter, message: String): {
        // javascript wrapper for 'gst_validate_report_new'
    }

Parameters:

`issue` (GstValidate.Issue) –
No description available
`reporter` (GstValidate.Reporter) –
No description available
`message` (String) –
No description available
Returns (GstValidate.Report) –
No description available

#### GstValidate.Report.new

    def GstValidate.Report.new (issue, reporter, message):
        #python wrapper for 'gst_validate_report_new'

Parameters:

`issue` (GstValidate.Issue) –
No description available
`reporter` (GstValidate.Reporter) –
No description available
`message` (str) –
No description available
Returns (GstValidate.Report) –
No description available

### Methods

#### gst_validate_report_add_message

    gst_validate_report_add_message (GstValidateReport * report,
                                     const gchar* message)

Parameters:

`report` –
No description available
`message` –
No description available

#### GstValidate.Report.prototype.add_message

    function GstValidate.Report.prototype.add_message(message: String): {
        // javascript wrapper for 'gst_validate_report_add_message'
    }

Parameters:

`report` (GstValidate.Report) –
No description available
`message` (String) –
No description available

#### GstValidate.Report.add_message

    def GstValidate.Report.add_message (self, message):
        #python wrapper for 'gst_validate_report_add_message'

Parameters:

`report` (GstValidate.Report) –
No description available
`message` (str) –
No description available

#### gst_validate_report_add_repeated_report

    gst_validate_report_add_repeated_report (GstValidateReport * report,
                                             GstValidateReport * repeated_report)

Parameters:

`report` –
No description available
`repeated_report` –
No description available

#### GstValidate.Report.prototype.add_repeated_report

    function GstValidate.Report.prototype.add_repeated_report(repeated_report: GstValidate.Report): {
        // javascript wrapper for 'gst_validate_report_add_repeated_report'
    }

Parameters:

`report` (GstValidate.Report) –
No description available
`repeated_report` (GstValidate.Report) –
No description available

#### GstValidate.Report.add_repeated_report

    def GstValidate.Report.add_repeated_report (self, repeated_report):
        #python wrapper for 'gst_validate_report_add_repeated_report'

Parameters:

`report` (GstValidate.Report) –
No description available
`repeated_report` (GstValidate.Report) –
No description available

#### gst_validate_report_check_abort

    gboolean
    gst_validate_report_check_abort (GstValidateReport * report)

Parameters:

`report` –
No description available
Returns –
No description available

#### GstValidate.Report.prototype.check_abort

    function GstValidate.Report.prototype.check_abort(): {
        // javascript wrapper for 'gst_validate_report_check_abort'
    }

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (Number) –
No description available

#### GstValidate.Report.check_abort

    def GstValidate.Report.check_abort (self):
        #python wrapper for 'gst_validate_report_check_abort'

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (bool) –
No description available

#### gst_validate_report_get_dotfile_name

    gchar*
    gst_validate_report_get_dotfile_name (GstValidateReport * report)

Parameters:

`report` –
No description available
Returns ( [transfer: full][nullable]) –

report dot file name

Since : 1.22

#### GstValidate.Report.prototype.get_dotfile_name

    function GstValidate.Report.prototype.get_dotfile_name(): {
        // javascript wrapper for 'gst_validate_report_get_dotfile_name'
    }

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (String) –

report dot file name

Since : 1.22

#### GstValidate.Report.get_dotfile_name

    def GstValidate.Report.get_dotfile_name (self):
        #python wrapper for 'gst_validate_report_get_dotfile_name'

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (str) –

report dot file name

Since : 1.22

#### gst_validate_report_get_issue

    GstValidateIssue *
    gst_validate_report_get_issue (GstValidateReport * report)

Parameters:

`report` –
No description available
Returns ( [transfer: full]) –

report issue

Since : 1.22

#### GstValidate.Report.prototype.get_issue

    function GstValidate.Report.prototype.get_issue(): {
        // javascript wrapper for 'gst_validate_report_get_issue'
    }

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (GstValidate.Issue) –

report issue

Since : 1.22

#### GstValidate.Report.get_issue

    def GstValidate.Report.get_issue (self):
        #python wrapper for 'gst_validate_report_get_issue'

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (GstValidate.Issue) –

report issue

Since : 1.22

#### gst_validate_report_get_issue_id

    guint32
    gst_validate_report_get_issue_id (GstValidateReport * report)

Parameters:

`report` –
No description available
Returns –
No description available

#### GstValidate.Report.prototype.get_issue_id

    function GstValidate.Report.prototype.get_issue_id(): {
        // javascript wrapper for 'gst_validate_report_get_issue_id'
    }

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (Number) –
No description available

#### GstValidate.Report.get_issue_id

    def GstValidate.Report.get_issue_id (self):
        #python wrapper for 'gst_validate_report_get_issue_id'

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (int) –
No description available

#### gst_validate_report_get_level

    GstValidateReportLevel
    gst_validate_report_get_level (GstValidateReport * report)

Parameters:

`report` –
No description available
Returns –

report level

Since : 1.22

#### GstValidate.Report.prototype.get_level

    function GstValidate.Report.prototype.get_level(): {
        // javascript wrapper for 'gst_validate_report_get_level'
    }

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (GstValidate.ReportLevel) –

report level

Since : 1.22

#### GstValidate.Report.get_level

    def GstValidate.Report.get_level (self):
        #python wrapper for 'gst_validate_report_get_level'

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (GstValidate.ReportLevel) –

report level

Since : 1.22

#### gst_validate_report_get_message

    gchar*
    gst_validate_report_get_message (GstValidateReport * report)

Parameters:

`report` –
No description available
Returns ( [transfer: full]) –

report message

Since : 1.22

#### GstValidate.Report.prototype.get_message

    function GstValidate.Report.prototype.get_message(): {
        // javascript wrapper for 'gst_validate_report_get_message'
    }

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (String) –

report message

Since : 1.22

#### GstValidate.Report.get_message

    def GstValidate.Report.get_message (self):
        #python wrapper for 'gst_validate_report_get_message'

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (str) –

report message

Since : 1.22

#### gst_validate_report_get_reporter

    GstValidateReporter *
    gst_validate_report_get_reporter (GstValidateReport * report)

Parameters:

`report` –
No description available
Returns ( [transfer: full]) –

report reporter

Since : 1.22

#### GstValidate.Report.prototype.get_reporter

    function GstValidate.Report.prototype.get_reporter(): {
        // javascript wrapper for 'gst_validate_report_get_reporter'
    }

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (GstValidate.Reporter) –

report reporter

Since : 1.22

#### GstValidate.Report.get_reporter

    def GstValidate.Report.get_reporter (self):
        #python wrapper for 'gst_validate_report_get_reporter'

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (GstValidate.Reporter) –

report reporter

Since : 1.22

#### gst_validate_report_get_reporter_name

    gchar*
    gst_validate_report_get_reporter_name (GstValidateReport * report)

Parameters:

`report` –
No description available
Returns ( [transfer: full]) –

report issue

Since : 1.22

#### GstValidate.Report.prototype.get_reporter_name

    function GstValidate.Report.prototype.get_reporter_name(): {
        // javascript wrapper for 'gst_validate_report_get_reporter_name'
    }

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (String) –

report issue

Since : 1.22

#### GstValidate.Report.get_reporter_name

    def GstValidate.Report.get_reporter_name (self):
        #python wrapper for 'gst_validate_report_get_reporter_name'

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (str) –

report issue

Since : 1.22

#### gst_validate_report_get_reporting_level

    GstValidateReportingDetails
    gst_validate_report_get_reporting_level (GstValidateReport * report)

Parameters:

`report` –
No description available
Returns –

reporting level

Since : 1.22

#### GstValidate.Report.prototype.get_reporting_level

    function GstValidate.Report.prototype.get_reporting_level(): {
        // javascript wrapper for 'gst_validate_report_get_reporting_level'
    }

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (GstValidate.ReportingDetails) –

reporting level

Since : 1.22

#### GstValidate.Report.get_reporting_level

    def GstValidate.Report.get_reporting_level (self):
        #python wrapper for 'gst_validate_report_get_reporting_level'

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (GstValidate.ReportingDetails) –

reporting level

Since : 1.22

#### gst_validate_report_get_timestamp

    GstClockTime
    gst_validate_report_get_timestamp (GstValidateReport * report)

Parameters:

`report` –
No description available
Returns –

report timestamp

Since : 1.22

#### GstValidate.Report.prototype.get_timestamp

    function GstValidate.Report.prototype.get_timestamp(): {
        // javascript wrapper for 'gst_validate_report_get_timestamp'
    }

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (Number) –

report timestamp

Since : 1.22

#### GstValidate.Report.get_timestamp

    def GstValidate.Report.get_timestamp (self):
        #python wrapper for 'gst_validate_report_get_timestamp'

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (int) –

report timestamp

Since : 1.22

#### gst_validate_report_get_trace

    gchar*
    gst_validate_report_get_trace (GstValidateReport * report)

Parameters:

`report` –
No description available
Returns ( [transfer: full][nullable]) –

report backtrace

Since : 1.22

#### GstValidate.Report.prototype.get_trace

    function GstValidate.Report.prototype.get_trace(): {
        // javascript wrapper for 'gst_validate_report_get_trace'
    }

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (String) –

report backtrace

Since : 1.22

#### GstValidate.Report.get_trace

    def GstValidate.Report.get_trace (self):
        #python wrapper for 'gst_validate_report_get_trace'

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (str) –

report backtrace

Since : 1.22

#### gst_validate_report_print_description

    gst_validate_report_print_description (GstValidateReport * report)

Parameters:

`report` –
No description available

#### GstValidate.Report.prototype.print_description

    function GstValidate.Report.prototype.print_description(): {
        // javascript wrapper for 'gst_validate_report_print_description'
    }

Parameters:

`report` (GstValidate.Report) –
No description available

#### GstValidate.Report.print_description

    def GstValidate.Report.print_description (self):
        #python wrapper for 'gst_validate_report_print_description'

Parameters:

`report` (GstValidate.Report) –
No description available

#### gst_validate_report_print_details

    gst_validate_report_print_details (GstValidateReport * report)

Parameters:

`report` –
No description available

#### GstValidate.Report.prototype.print_details

    function GstValidate.Report.prototype.print_details(): {
        // javascript wrapper for 'gst_validate_report_print_details'
    }

Parameters:

`report` (GstValidate.Report) –
No description available

#### GstValidate.Report.print_details

    def GstValidate.Report.print_details (self):
        #python wrapper for 'gst_validate_report_print_details'

Parameters:

`report` (GstValidate.Report) –
No description available

#### gst_validate_report_print_detected_on

    gst_validate_report_print_detected_on (GstValidateReport * report)

Parameters:

`report` –
No description available

#### GstValidate.Report.prototype.print_detected_on

    function GstValidate.Report.prototype.print_detected_on(): {
        // javascript wrapper for 'gst_validate_report_print_detected_on'
    }

Parameters:

`report` (GstValidate.Report) –
No description available

#### GstValidate.Report.print_detected_on

    def GstValidate.Report.print_detected_on (self):
        #python wrapper for 'gst_validate_report_print_detected_on'

Parameters:

`report` (GstValidate.Report) –
No description available

#### gst_validate_report_print_level

    gst_validate_report_print_level (GstValidateReport * report)

Parameters:

`report` –
No description available

#### GstValidate.Report.prototype.print_level

    function GstValidate.Report.prototype.print_level(): {
        // javascript wrapper for 'gst_validate_report_print_level'
    }

Parameters:

`report` (GstValidate.Report) –
No description available

#### GstValidate.Report.print_level

    def GstValidate.Report.print_level (self):
        #python wrapper for 'gst_validate_report_print_level'

Parameters:

`report` (GstValidate.Report) –
No description available

#### gst_validate_report_printf

    gst_validate_report_printf (GstValidateReport * report)

Parameters:

`report` –
No description available

#### GstValidate.Report.prototype.printf

    function GstValidate.Report.prototype.printf(): {
        // javascript wrapper for 'gst_validate_report_printf'
    }

Parameters:

`report` (GstValidate.Report) –
No description available

#### GstValidate.Report.printf

    def GstValidate.Report.printf (self):
        #python wrapper for 'gst_validate_report_printf'

Parameters:

`report` (GstValidate.Report) –
No description available

#### gst_validate_report_ref

    GstValidateReport *
    gst_validate_report_ref (GstValidateReport * report)

Parameters:

`report` –
No description available
Returns –
No description available

#### GstValidate.Report.prototype.ref

    function GstValidate.Report.prototype.ref(): {
        // javascript wrapper for 'gst_validate_report_ref'
    }

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (GstValidate.Report) –
No description available

#### GstValidate.Report.ref

    def GstValidate.Report.ref (self):
        #python wrapper for 'gst_validate_report_ref'

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (GstValidate.Report) –
No description available

#### gst_validate_report_set_master_report

    gboolean
    gst_validate_report_set_master_report (GstValidateReport * report,
                                           GstValidateReport * master_report)

Parameters:

`report` –
No description available
`master_report` –
No description available
Returns –
No description available

#### GstValidate.Report.prototype.set_master_report

    function GstValidate.Report.prototype.set_master_report(master_report: GstValidate.Report): {
        // javascript wrapper for 'gst_validate_report_set_master_report'
    }

Parameters:

`report` (GstValidate.Report) –
No description available
`master_report` (GstValidate.Report) –
No description available
Returns (Number) –
No description available

#### GstValidate.Report.set_master_report

    def GstValidate.Report.set_master_report (self, master_report):
        #python wrapper for 'gst_validate_report_set_master_report'

Parameters:

`report` (GstValidate.Report) –
No description available
`master_report` (GstValidate.Report) –
No description available
Returns (bool) –
No description available

#### gst_validate_report_set_reporting_level

    gst_validate_report_set_reporting_level (GstValidateReport * report,
                                             GstValidateReportingDetails level)

Parameters:

`report` –
No description available
`level` –
No description available

#### GstValidate.Report.prototype.set_reporting_level

    function GstValidate.Report.prototype.set_reporting_level(level: GstValidate.ReportingDetails): {
        // javascript wrapper for 'gst_validate_report_set_reporting_level'
    }

Parameters:

`report` (GstValidate.Report) –
No description available
`level` (GstValidate.ReportingDetails) –
No description available

#### GstValidate.Report.set_reporting_level

    def GstValidate.Report.set_reporting_level (self, level):
        #python wrapper for 'gst_validate_report_set_reporting_level'

Parameters:

`report` (GstValidate.Report) –
No description available
`level` (GstValidate.ReportingDetails) –
No description available

#### gst_validate_report_should_print

    gboolean
    gst_validate_report_should_print (GstValidateReport * report)

Parameters:

`report` –
No description available
Returns –
No description available

#### GstValidate.Report.prototype.should_print

    function GstValidate.Report.prototype.should_print(): {
        // javascript wrapper for 'gst_validate_report_should_print'
    }

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (Number) –
No description available

#### GstValidate.Report.should_print

    def GstValidate.Report.should_print (self):
        #python wrapper for 'gst_validate_report_should_print'

Parameters:

`report` (GstValidate.Report) –
No description available
Returns (bool) –
No description available

#### gst_validate_report_unref

    gst_validate_report_unref (GstValidateReport * report)

Parameters:

`report` –
No description available

#### GstValidate.Report.prototype.unref

    function GstValidate.Report.prototype.unref(): {
        // javascript wrapper for 'gst_validate_report_unref'
    }

Parameters:

`report` (GstValidate.Report) –
No description available

#### GstValidate.Report.unref

    def GstValidate.Report.unref (self):
        #python wrapper for 'gst_validate_report_unref'

Parameters:

`report` (GstValidate.Report) –
No description available

### Functions

#### gst_validate_report_action

    gst_validate_report_action (GstValidateReporter * reporter,
                                GstValidateAction * action,
                                GstValidateIssueId issue_id,
                                const gchar* format,
                                ... ...)

Reports a new issue in the GstValidate reporting system specifying action as failling action .

You can also use GST_VALIDATE_REPORT instead.

Parameters:

`reporter` –

The source of the new report

`action` –

The action reporting the issue

`issue_id` –

The GstValidateIssueId of the issue

`format` –

The format of the message describing the issue in a printf format followed by the parameters.

`...` –

Substitution arguments for format

#### gst_validate_report_init

    gst_validate_report_init ()

#### GstValidate.Report.prototype.init

    function GstValidate.Report.prototype.init(): {
        // javascript wrapper for 'gst_validate_report_init'
    }

#### GstValidate.Report.init

    def GstValidate.Report.init ():
        #python wrapper for 'gst_validate_report_init'

#### gst_validate_report_valist

    gst_validate_report_valist (GstValidateReporter * reporter,
                                GstValidateIssueId issue_id,
                                const gchar* format,
                                va_list var_args)

Parameters:

`reporter` –
No description available
`issue_id` –
No description available
`format` –
No description available
`var_args` –
No description available

## Functions

### gst_validate_abort

    gst_validate_abort (const gchar* format,
                        ... ...)

Parameters:

`format` –
No description available
`...` –
No description available

### gst_validate_error_structure

    gst_validate_error_structure (gpointer action,
                                  const gchar* format,
                                  ... ...)

Parameters:

`action` –
No description available
`format` –
No description available
`...` –
No description available

### gst_validate_print_action

    gst_validate_print_action (GstValidateAction * action,
                               const gchar* message)

Print message to the GstValidate logging system

Parameters:

`action` ( [allow-none]) –

The source object to log

`message` –

The message to print out in the GstValidate logging system

### GstValidate.prototype.print_action

    function GstValidate.prototype.print_action(action: GstValidate.Action, message: String): {
        // javascript wrapper for 'gst_validate_print_action'
    }

Print message to the GstValidate logging system

Parameters:

`action` (GstValidate.Action) –

The source object to log

`message` (String) –

The message to print out in the GstValidate logging system

### GstValidate.print_action

    def GstValidate.print_action (action, message):
        #python wrapper for 'gst_validate_print_action'

Print message to the GstValidate logging system

Parameters:

`action` (GstValidate.Action) –

The source object to log

`message` (str) –

The message to print out in the GstValidate logging system

### gst_validate_print_issues

    gst_validate_print_issues ()

### GstValidate.prototype.print_issues

    function GstValidate.prototype.print_issues(): {
        // javascript wrapper for 'gst_validate_print_issues'
    }

### GstValidate.print_issues

    def GstValidate.print_issues ():
        #python wrapper for 'gst_validate_print_issues'

### gst_validate_print_position

    gst_validate_print_position (GstClockTime position,
                                 GstClockTime duration,
                                 gdouble rate,
                                 gchar* extra_info)

Parameters:

`position` –
No description available
`duration` –
No description available
`rate` –
No description available
`extra_info` –
No description available

### GstValidate.prototype.print_position

    function GstValidate.prototype.print_position(position: Number, duration: Number, rate: Number, extra_info: String): {
        // javascript wrapper for 'gst_validate_print_position'
    }

Parameters:

`position` (Number) –
No description available
`duration` (Number) –
No description available
`rate` (Number) –
No description available
`extra_info` (String) –
No description available

### GstValidate.print_position

    def GstValidate.print_position (position, duration, rate, extra_info):
        #python wrapper for 'gst_validate_print_position'

Parameters:

`position` (int) –
No description available
`duration` (int) –
No description available
`rate` (float) –
No description available
`extra_info` (str) –
No description available

### gst_validate_printf

    gst_validate_printf (gpointer source,
                         const gchar* format,
                         ... ...)

Parameters:

`source` –
No description available
`format` –
No description available
`...` –
No description available

### gst_validate_printf_valist

    gst_validate_printf_valist (gpointer source,
                                const gchar* format,
                                va_list args)

Parameters:

`source` –
No description available
`format` –
No description available
`args` –
No description available

### gst_validate_report_level_from_name

    GstValidateReportLevel
    gst_validate_report_level_from_name (const gchar* level_name)

Parameters:

`level_name` –
No description available
Returns –
No description available

### GstValidate.ReportLevel.prototype.from_name

    function GstValidate.ReportLevel.prototype.from_name(level_name: String): {
        // javascript wrapper for 'gst_validate_report_level_from_name'
    }

Parameters:

`level_name` (String) –
No description available
Returns (GstValidate.ReportLevel) –
No description available

### GstValidate.ReportLevel.from_name

    def GstValidate.ReportLevel.from_name (level_name):
        #python wrapper for 'gst_validate_report_level_from_name'

Parameters:

`level_name` (str) –
No description available
Returns (GstValidate.ReportLevel) –
No description available

### gst_validate_report_level_get_name

    const gchar*
    gst_validate_report_level_get_name (GstValidateReportLevel level)

Parameters:

`level` –
No description available
Returns –
No description available

### GstValidate.ReportLevel.prototype.get_name

    function GstValidate.ReportLevel.prototype.get_name(level: GstValidate.ReportLevel): {
        // javascript wrapper for 'gst_validate_report_level_get_name'
    }

Parameters:

`level` (GstValidate.ReportLevel) –
No description available
Returns (String) –
No description available

### GstValidate.ReportLevel.get_name

    def GstValidate.ReportLevel.get_name (level):
        #python wrapper for 'gst_validate_report_level_get_name'

Parameters:

`level` (GstValidate.ReportLevel) –
No description available
Returns (str) –
No description available

### gst_validate_skip_test

    gst_validate_skip_test (const gchar* format,
                            ... ...)

Parameters:

`format` –
No description available
`...` –
No description available

## Function Macros

### GST_VALIDATE_ISSUE_ARGS

    #define GST_VALIDATE_ISSUE_ARGS(i) gst_validate_issue_get_id (i), \
                                       gst_validate_report_level_get_name (i->default_level), \
                                       i->area, \
                                       i->summary

### GST_VALIDATE_REPORT_PRINT_ARGS

    #define GST_VALIDATE_REPORT_PRINT_ARGS(r) GST_TIME_ARGS (r->timestamp), \
                                        gst_validate_reporter_get_name (r->reporter), \
                                        GST_VALIDATE_ISSUE_ARGS (r->issue), \
                                        r->message

## Enumerations

### GstValidateDebugFlags

GST_VALIDATE_FATAL_DEFAULT: GST_VALIDATE_FATAL_ISSUES: GST_VALIDATE_FATAL_WARNINGS: GST_VALIDATE_FATAL_CRITICALS: GST_VALIDATE_PRINT_ISSUES: GST_VALIDATE_PRINT_WARNINGS: GST_VALIDATE_PRINT_CRITICALS:

##### Members

`GST_VALIDATE_FATAL_DEFAULT` (0) –
No description available
`GST_VALIDATE_FATAL_ISSUES` (1) –
No description available
`GST_VALIDATE_FATAL_WARNINGS` (2) –
No description available
`GST_VALIDATE_FATAL_CRITICALS` (4) –
No description available
`GST_VALIDATE_PRINT_ISSUES` (8) –
No description available
`GST_VALIDATE_PRINT_WARNINGS` (16) –
No description available
`GST_VALIDATE_PRINT_CRITICALS` (32) –
No description available

### GstValidate.DebugFlags

GST_VALIDATE_FATAL_DEFAULT: GST_VALIDATE_FATAL_ISSUES: GST_VALIDATE_FATAL_WARNINGS: GST_VALIDATE_FATAL_CRITICALS: GST_VALIDATE_PRINT_ISSUES: GST_VALIDATE_PRINT_WARNINGS: GST_VALIDATE_PRINT_CRITICALS:

##### Members

`GstValidate.DebugFlags.FATAL_DEFAULT` (0) –
No description available
`GstValidate.DebugFlags.FATAL_ISSUES` (1) –
No description available
`GstValidate.DebugFlags.FATAL_WARNINGS` (2) –
No description available
`GstValidate.DebugFlags.FATAL_CRITICALS` (4) –
No description available
`GstValidate.DebugFlags.PRINT_ISSUES` (8) –
No description available
`GstValidate.DebugFlags.PRINT_WARNINGS` (16) –
No description available
`GstValidate.DebugFlags.PRINT_CRITICALS` (32) –
No description available

### GstValidate.DebugFlags

GST_VALIDATE_FATAL_DEFAULT: GST_VALIDATE_FATAL_ISSUES: GST_VALIDATE_FATAL_WARNINGS: GST_VALIDATE_FATAL_CRITICALS: GST_VALIDATE_PRINT_ISSUES: GST_VALIDATE_PRINT_WARNINGS: GST_VALIDATE_PRINT_CRITICALS:

##### Members

`GstValidate.DebugFlags.FATAL_DEFAULT` (0) –
No description available
`GstValidate.DebugFlags.FATAL_ISSUES` (1) –
No description available
`GstValidate.DebugFlags.FATAL_WARNINGS` (2) –
No description available
`GstValidate.DebugFlags.FATAL_CRITICALS` (4) –
No description available
`GstValidate.DebugFlags.PRINT_ISSUES` (8) –
No description available
`GstValidate.DebugFlags.PRINT_WARNINGS` (16) –
No description available
`GstValidate.DebugFlags.PRINT_CRITICALS` (32) –
No description available

### GstValidateIssueFlags

GST_VALIDATE_ISSUE_FLAGS_NONE: No special flags for the issue type GST_VALIDATE_ISSUE_FLAGS_FULL_DETAILS: Always show all occurrences of the issue in full details GST_VALIDATE_ISSUE_FLAGS_NO_BACKTRACE: Do not generate backtrace for the issue type

##### Members

`GST_VALIDATE_ISSUE_FLAGS_NONE` (0) –
No description available
`GST_VALIDATE_ISSUE_FLAGS_FULL_DETAILS` (1) –
No description available
`GST_VALIDATE_ISSUE_FLAGS_NO_BACKTRACE` (2) –
No description available
`GST_VALIDATE_ISSUE_FLAGS_FORCE_BACKTRACE` (4) –

Always generate backtrace, even if not a critical issue

(Since: 1.20)

### GstValidate.IssueFlags

GST_VALIDATE_ISSUE_FLAGS_NONE: No special flags for the issue type GST_VALIDATE_ISSUE_FLAGS_FULL_DETAILS: Always show all occurrences of the issue in full details GST_VALIDATE_ISSUE_FLAGS_NO_BACKTRACE: Do not generate backtrace for the issue type

##### Members

`GstValidate.IssueFlags.NONE` (0) –
No description available
`GstValidate.IssueFlags.FULL_DETAILS` (1) –
No description available
`GstValidate.IssueFlags.NO_BACKTRACE` (2) –
No description available
`GstValidate.IssueFlags.FORCE_BACKTRACE` (4) –

Always generate backtrace, even if not a critical issue

(Since: 1.20)

### GstValidate.IssueFlags

GST_VALIDATE_ISSUE_FLAGS_NONE: No special flags for the issue type GST_VALIDATE_ISSUE_FLAGS_FULL_DETAILS: Always show all occurrences of the issue in full details GST_VALIDATE_ISSUE_FLAGS_NO_BACKTRACE: Do not generate backtrace for the issue type

##### Members

`GstValidate.IssueFlags.NONE` (0) –
No description available
`GstValidate.IssueFlags.FULL_DETAILS` (1) –
No description available
`GstValidate.IssueFlags.NO_BACKTRACE` (2) –
No description available
`GstValidate.IssueFlags.FORCE_BACKTRACE` (4) –

Always generate backtrace, even if not a critical issue

(Since: 1.20)

### GstValidateReportLevel

##### Members

`GST_VALIDATE_REPORT_LEVEL_CRITICAL` (0) –
No description available
`GST_VALIDATE_REPORT_LEVEL_WARNING` (1) –
No description available
`GST_VALIDATE_REPORT_LEVEL_ISSUE` (2) –
No description available
`GST_VALIDATE_REPORT_LEVEL_IGNORE` (3) –
No description available
`GST_VALIDATE_REPORT_LEVEL_UNKNOWN` (4) –
No description available
`GST_VALIDATE_REPORT_LEVEL_EXPECTED` (5) –
No description available
`GST_VALIDATE_REPORT_LEVEL_NUM_ENTRIES` (6) –
No description available

### GstValidate.ReportLevel

##### Members

`GstValidate.ReportLevel.CRITICAL` (0) –
No description available
`GstValidate.ReportLevel.WARNING` (1) –
No description available
`GstValidate.ReportLevel.ISSUE` (2) –
No description available
`GstValidate.ReportLevel.IGNORE` (3) –
No description available
`GstValidate.ReportLevel.UNKNOWN` (4) –
No description available
`GstValidate.ReportLevel.EXPECTED` (5) –
No description available
`GstValidate.ReportLevel.NUM_ENTRIES` (6) –
No description available

### GstValidate.ReportLevel

##### Members

`GstValidate.ReportLevel.CRITICAL` (0) –
No description available
`GstValidate.ReportLevel.WARNING` (1) –
No description available
`GstValidate.ReportLevel.ISSUE` (2) –
No description available
`GstValidate.ReportLevel.IGNORE` (3) –
No description available
`GstValidate.ReportLevel.UNKNOWN` (4) –
No description available
`GstValidate.ReportLevel.EXPECTED` (5) –
No description available
`GstValidate.ReportLevel.NUM_ENTRIES` (6) –
No description available

## Constants

### ALLOCATION_FAILURE

    #define ALLOCATION_FAILURE                       _QUARK("runtime::allocation-failure")

### BUFFER_AFTER_EOS

    #define BUFFER_AFTER_EOS                         _QUARK("buffer::after-eos")

### BUFFER_BEFORE_SEGMENT

    #define BUFFER_BEFORE_SEGMENT                    _QUARK("buffer::before-segment")

### BUFFER_IS_OUT_OF_SEGMENT

    #define BUFFER_IS_OUT_OF_SEGMENT                 _QUARK("buffer::is-out-of-segment")

### BUFFER_MISSING_DISCONT

    #define BUFFER_MISSING_DISCONT                   _QUARK("buffer::missing-discont")

### BUFFER_TIMESTAMP_OUT_OF_RECEIVED_RANGE

    #define BUFFER_TIMESTAMP_OUT_OF_RECEIVED_RANGE   _QUARK("buffer::timestamp-out-of-received-range")

### CAPS_EXPECTED_FIELD_NOT_FOUND

    #define CAPS_EXPECTED_FIELD_NOT_FOUND            _QUARK("caps::expected-field-not-found")

### CAPS_FIELD_HAS_BAD_TYPE

    #define CAPS_FIELD_HAS_BAD_TYPE                  _QUARK("caps::field-has-bad-type")

### CAPS_FIELD_UNEXPECTED_VALUE

    #define CAPS_FIELD_UNEXPECTED_VALUE              _QUARK("caps::field-unexpected-value")

### CAPS_IS_MISSING_FIELD

    #define CAPS_IS_MISSING_FIELD                    _QUARK("caps::is-missing-field")

### CONFIG_BUFFER_FREQUENCY_TOO_LOW

    #define CONFIG_BUFFER_FREQUENCY_TOO_LOW          _QUARK("config::buffer-frequency-too-low")

### CONFIG_LATENCY_TOO_HIGH

    #define CONFIG_LATENCY_TOO_HIGH                  _QUARK("config::latency-too-high")

### CONFIG_TOO_MANY_BUFFERS_DROPPED

    #define CONFIG_TOO_MANY_BUFFERS_DROPPED          _QUARK("config::too-many-buffers-dropped")

### EOS_HAS_WRONG_SEQNUM

    #define EOS_HAS_WRONG_SEQNUM                    _QUARK("event::eos-has-wrong-seqnum")

### ERROR_ON_BUS

    #define ERROR_ON_BUS                             _QUARK("runtime::error-on-bus")

### EVENT_CAPS_DUPLICATE

    #define EVENT_CAPS_DUPLICATE                     _QUARK("event::caps-duplicate")

### EVENT_EOS_WITHOUT_SEGMENT

    #define EVENT_EOS_WITHOUT_SEGMENT                _QUARK("event::eos-without-segment")

### EVENT_FLUSH_START_UNEXPECTED

    #define EVENT_FLUSH_START_UNEXPECTED             _QUARK("event::flush-start-unexpected")

### EVENT_FLUSH_STOP_UNEXPECTED

    #define EVENT_FLUSH_STOP_UNEXPECTED              _QUARK("event::flush-stop-unexpected")

### EVENT_INVALID_SEQNUM

    #define EVENT_INVALID_SEQNUM                     _QUARK("event::invalid-seqnum")

### EVENT_NEWSEGMENT_NOT_PUSHED

    #define EVENT_NEWSEGMENT_NOT_PUSHED              _QUARK("event::newsegment-not-pushed")

### EVENT_NEW_SEGMENT_MISMATCH

    #define EVENT_NEW_SEGMENT_MISMATCH               _QUARK("event::segment-mismatch")

### EVENT_SEEK_INVALID_SEQNUM

    #define EVENT_SEEK_INVALID_SEQNUM                _QUARK("event::seek-invalid_seqnum")

### EVENT_SEEK_NOT_HANDLED

    #define EVENT_SEEK_NOT_HANDLED                   _QUARK("event::seek-not-handled")

### EVENT_SEEK_RESULT_POSITION_WRONG

    #define EVENT_SEEK_RESULT_POSITION_WRONG         _QUARK("event::seek-result-position-wrong")

### EVENT_SERIALIZED_OUT_OF_ORDER

    #define EVENT_SERIALIZED_OUT_OF_ORDER            _QUARK("event::serialized-out-of-order")

### FILE_DURATION_INCORRECT

    #define FILE_DURATION_INCORRECT                  _QUARK("file-checking::duration-incorrect")

### FILE_FRAMES_INCORRECT

    #define FILE_FRAMES_INCORRECT                    _QUARK("file-checking::frames-incorrect")

### FILE_NO_STREAM_ID

    #define FILE_NO_STREAM_ID                        _QUARK("file-checking::no-stream-id")

### FILE_NO_STREAM_INFO

    #define FILE_NO_STREAM_INFO                      _QUARK("file-checking::no-stream-info")

### FILE_PROFILE_INCORRECT

    #define FILE_PROFILE_INCORRECT                   _QUARK("file-checking::profile-incorrect")

### FILE_SEEKABLE_INCORRECT

    #define FILE_SEEKABLE_INCORRECT                  _QUARK("file-checking::seekable-incorrect")

### FILE_SEGMENT_INCORRECT

    #define FILE_SEGMENT_INCORRECT                   _QUARK("file-checking::segment-incorrect")

### FILE_SIZE_INCORRECT

    #define FILE_SIZE_INCORRECT                      _QUARK("file-checking::size-incorrect")

### FILE_TAG_DETECTION_INCORRECT

    #define FILE_TAG_DETECTION_INCORRECT             _QUARK("file-checking::tag-detection-incorrect")

### FLOW_ERROR_WITHOUT_ERROR_MESSAGE

    #define FLOW_ERROR_WITHOUT_ERROR_MESSAGE         _QUARK("buffer::flow-error-without-error-message")

### FLUSH_START_HAS_WRONG_SEQNUM

    #define FLUSH_START_HAS_WRONG_SEQNUM            _QUARK("event::flush-start-has-wrong-seqnum")

### FLUSH_STOP_HAS_WRONG_SEQNUM

    #define FLUSH_STOP_HAS_WRONG_SEQNUM             _QUARK("event::flush-stop-has-wrong-seqnum")

### GET_CAPS_NOT_PROXYING_FIELDS

    #define GET_CAPS_NOT_PROXYING_FIELDS             _QUARK("caps::not-proxying-fields")

### GST_TYPE_VALIDATE_REPORT

    #define GST_TYPE_VALIDATE_REPORT (gst_validate_report_get_type ())

### GST_VALIDATE_ERROR_REPORT_PRINT_FORMAT

    #define GST_VALIDATE_ERROR_REPORT_PRINT_FORMAT GST_TIME_FORMAT " <%s>: %" GST_VALIDATE_ISSUE_FORMAT ": %s"

### GST_VALIDATE_ISSUE_FORMAT

    #define GST_VALIDATE_ISSUE_FORMAT G_GUINT32_FORMAT " (%s) : %s: %s"

### G_LOG_CRITICAL

    #define G_LOG_CRITICAL                           _QUARK("g-log::critical")

### G_LOG_ISSUE

    #define G_LOG_ISSUE                              _QUARK("g-log::issue")

### G_LOG_WARNING

    #define G_LOG_WARNING                            _QUARK("g-log::warning")

### MISSING_PLUGIN

    #define MISSING_PLUGIN                           _QUARK("runtime::missing-plugin")

### NOT_NEGOTIATED

    #define NOT_NEGOTIATED                           _QUARK("runtime::not-negotiated")

### PULL_RANGE_FROM_WRONG_THREAD

    #define PULL_RANGE_FROM_WRONG_THREAD             _QUARK("threading::pull-range-from-wrong-thread")

### QUERY_POSITION_OUT_OF_SEGMENT

    #define QUERY_POSITION_OUT_OF_SEGMENT            _QUARK("query::position-out-of-segment")

### QUERY_POSITION_SUPERIOR_DURATION

    #define QUERY_POSITION_SUPERIOR_DURATION         _QUARK("query::position-superior-duration")

### SCENARIO_ACTION_CHECK_ERROR

    #define SCENARIO_ACTION_CHECK_ERROR              _QUARK("scenario::check-error")

### SCENARIO_ACTION_ENDED_EARLY

    #define SCENARIO_ACTION_ENDED_EARLY              _QUARK("scenario::action-ended-early")

Since : 1.22

### SCENARIO_ACTION_EXECUTION_ERROR

    #define SCENARIO_ACTION_EXECUTION_ERROR          _QUARK("scenario::execution-error")

### SCENARIO_ACTION_EXECUTION_ISSUE

    #define SCENARIO_ACTION_EXECUTION_ISSUE          _QUARK("scenario::execution-issue")

### SCENARIO_ACTION_TIMEOUT

    #define SCENARIO_ACTION_TIMEOUT                  _QUARK("scenario::action-timeout")

### SCENARIO_FILE_MALFORMED

    #define SCENARIO_FILE_MALFORMED                  _QUARK("scenario::malformed")

### SCENARIO_NOT_ENDED

    #define SCENARIO_NOT_ENDED                       _QUARK("scenario::not-ended")

### SEGMENT_HAS_WRONG_SEQNUM

    #define SEGMENT_HAS_WRONG_SEQNUM                _QUARK("event::segment-has-wrong-seqnum")

### SEGMENT_HAS_WRONG_START

    #define SEGMENT_HAS_WRONG_START                 _QUARK("event::segment-has-wrong-start")

### SERIALIZED_EVENT_WASNT_PUSHED_IN_TIME

    #define SERIALIZED_EVENT_WASNT_PUSHED_IN_TIME    _QUARK("event::serialized-event-wasnt-pushed-in-time")

### STATE_CHANGE_FAILURE

    #define STATE_CHANGE_FAILURE                     _QUARK("state::change-failure")

### WARNING_ON_BUS

    #define WARNING_ON_BUS                           _QUARK("runtime::warning-on-bus")

### WRONG_BUFFER

    #define WRONG_BUFFER                             _QUARK("buffer::not-expected-one")

### WRONG_FLOW_RETURN

    #define WRONG_FLOW_RETURN                        _QUARK("buffer::wrong-flow-return")

### _QUARK

    #define _QUARK g_quark_from_static_string

## Aliases

### GstValidateIssueId

    typedef GQuark GstValidateIssueId

The results of the search are